LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-05-2014, 08:25 PM   #1
Almaz
Member
 
Registered: Jul 2013
Posts: 35

Rep: Reputation: Disabled
broke apt-get


I tried to install a newer version of the libstdc++6 using dpkg -i and now I'm getting an error when I run apt-get. I messed up some of the dependencies and can't fix it. Any suggestions?
Code:
apt-get
apt-get: /lib/arm-linux-gnueabi/libc.so.6: version `GLIBC_2.18' not found (required by /usr/lib/arm-linux-gnueabi/libstdc++.so.6)
apt-get: /lib/arm-linux-gnueabi/libc.so.6: version `GLIBC_2.17' not found (required by /usr/lib/arm-linux-gnueabi/libstdc++.so.6)
Code:
 dpkg --audit
The following packages have been unpacked but not yet configured.
They must be configured using dpkg --configure or the configure
menu option in dselect for them to work:
 libpar2-1:armel      Library for performing common tasks related to PAR recove
 libapt-pkg4.12:armel package managment runtime library
 aptitude             terminal-based package manager
 libstdc++6:armel     GNU Standard C++ Library v3
I'm using Debian Wheezy

Last edited by Almaz; 10-05-2014 at 09:09 PM.
 
Old 10-05-2014, 09:17 PM   #2
frankbell
LQ Guru
 
Registered: Jan 2006
Location: Virginia, USA
Distribution: Slackware, Debian, Mageia, and whatever VMs I happen to be playing with
Posts: 12,781
Blog Entries: 17

Rep: Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313
Try running

Code:
apt-get clean
and let us know what it outputs.
 
Old 10-05-2014, 09:34 PM   #3
Almaz
Member
 
Registered: Jul 2013
Posts: 35

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by frankbell View Post
Try running

Code:
apt-get clean
and let us know what it outputs.
I can't run apt-get at all. All I'm getting is an error. Anyway I just fixed the problem by purging everything and installing manually all the packages .deb
 
Old 10-05-2014, 09:44 PM   #4
frankbell
LQ Guru
 
Registered: Jan 2006
Location: Virginia, USA
Distribution: Slackware, Debian, Mageia, and whatever VMs I happen to be playing with
Posts: 12,781
Blog Entries: 17

Rep: Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313Reputation: 3313
Glad you got it fixed, sorry I couldn't help.
 
Old 10-05-2014, 09:52 PM   #5
Almaz
Member
 
Registered: Jul 2013
Posts: 35

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by frankbell View Post
Glad you got it fixed, sorry I couldn't help.
no problem, thanks for trying.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] I broke apt-get again smeezekitty Linux - Newbie 17 03-30-2010 08:45 PM
Broke my Apt-get ecturkum Linux - Newbie 8 02-28-2007 07:08 AM
HELP! I broke APT cerealdaemon Ubuntu 4 04-29-2006 11:03 PM
apt-get broke! jon_k Linux - Software 1 11-07-2004 03:14 PM
Broke apt .5.20 Modify Linux - General 0 01-13-2004 01:37 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 07:46 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration